SDL_dummyaudio.c File Reference
`#include "../../SDL_internal.h"`
`#include "SDL_timer.h"`
`#include "SDL_audio.h"`
`#include "../SDL_audio_c.h"`
`#include "SDL_dummyaudio.h"`
Include dependency graph for SDL_dummyaudio.c:

Go to the source code of this file.

## Functions

static int | DUMMYAUDIO_OpenDevice (_THIS, void *handle, const char *devname, int iscapture)
static int | DUMMYAUDIO_CaptureFromDevice (_THIS, void *buffer, int buflen)
static int | DUMMYAUDIO_Init (SDL_AudioDriverImpl *impl)

## Variables

AudioBootStrap | DUMMYAUDIO_bootstrap

## Function Documentation

## DUMMYAUDIO_CaptureFromDevice()

static int DUMMYAUDIO_CaptureFromDevice | ( | _THIS | ,
|  | void * | buffer,
|  | int | buflen
| ) |  |

static

Definition at line 37 of file SDL_dummyaudio.c.

References SDL_AudioSpec::samples, SDL_Delay, SDL_memset, SDL_AudioSpec::silence, and spec.

Referenced by DUMMYAUDIO_Init().

{
/* Delay to make this sort of simulate real audio input. */
SDL_Delay((this->spec.samples * 1000) / this->spec.freq);
/* always return a full buffer of silence. */
SDL_memset(buffer, this->spec.silence, buflen);
return buflen;
}
SDL_AudioSpec::silence
Uint8 silence
Definition: SDL_audio.h:182
SDL_AudioSpec::samples
Uint16 samples
Definition: SDL_audio.h:183
spec
SDL_AudioSpec spec
Definition: loopwave.c:31
SDL_Delay
#define SDL_Delay
Definition: SDL_dynapi_overrides.h:486
buffer
GLuint buffer
Definition: SDL_opengl_glext.h:533
SDL_memset
#define SDL_memset
Definition: SDL_dynapi_overrides.h:386

## DUMMYAUDIO_Init()

static int DUMMYAUDIO_Init | ( | SDL_AudioDriverImpl * | impl | ) |

static

Definition at line 48 of file SDL_dummyaudio.c.

References SDL_AudioDriverImpl::CaptureFromDevice, DUMMYAUDIO_CaptureFromDevice(), DUMMYAUDIO_OpenDevice(), SDL_AudioDriverImpl::HasCaptureSupport, SDL_AudioDriverImpl::OnlyHasDefaultCaptureDevice, SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice, SDL_AudioDriverImpl::OpenDevice, and SDL_TRUE.

{
/* Set the function pointers */
impl->OpenDevice = DUMMYAUDIO_OpenDevice;
impl->CaptureFromDevice = DUMMYAUDIO_CaptureFromDevice;
impl->OnlyHasDefaultOutputDevice = 1;
impl->OnlyHasDefaultCaptureDevice = 1;
impl->HasCaptureSupport = SDL_TRUE;
return 1; /* this audio target is available. */
}
SDL_TRUE
Definition: SDL_stdinc.h:142
DUMMYAUDIO_CaptureFromDevice
static int DUMMYAUDIO_CaptureFromDevice(_THIS, void *buffer, int buflen)
Definition: SDL_dummyaudio.c:37
SDL_AudioDriverImpl::HasCaptureSupport
int HasCaptureSupport
Definition: SDL_sysaudio.h:91
SDL_AudioDriverImpl::OnlyHasDefaultCaptureDevice
int OnlyHasDefaultCaptureDevice
Definition: SDL_sysaudio.h:93
SDL_AudioDriverImpl::OnlyHasDefaultOutputDevice
int OnlyHasDefaultOutputDevice
Definition: SDL_sysaudio.h:92
SDL_AudioDriverImpl::OpenDevice
int(* OpenDevice)(_THIS, void *handle, const char *devname, int iscapture)
Definition: SDL_sysaudio.h:68
SDL_AudioDriverImpl::CaptureFromDevice
int(* CaptureFromDevice)(_THIS, void *buffer, int buflen)
Definition: SDL_sysaudio.h:76
DUMMYAUDIO_OpenDevice
static int DUMMYAUDIO_OpenDevice(_THIS, void *handle, const char *devname, int iscapture)
Definition: SDL_dummyaudio.c:31

## DUMMYAUDIO_OpenDevice()

static int DUMMYAUDIO_OpenDevice | ( | _THIS | ,
|  | void * | handle,
|  | const char * | devname,
|  | int | iscapture
| ) |  |

static

Definition at line 31 of file SDL_dummyaudio.c.

Referenced by DUMMYAUDIO_Init().

{
return 0; /* always succeeds. */
}

## Variable Documentation

## DUMMYAUDIO_bootstrap

AudioBootStrap DUMMYAUDIO_bootstrap

Initial value:
= {
"dummy", "SDL dummy audio driver", DUMMYAUDIO_Init, 1
}
DUMMYAUDIO_Init
static int DUMMYAUDIO_Init(SDL_AudioDriverImpl *impl)
Definition: SDL_dummyaudio.c:48

Definition at line 61 of file SDL_dummyaudio.c.